curl
curl -sS -X PUT "https://gateway.orbit/api/v1/clusters/3/nodes/7" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"id": 123,
"name": "<string>",
"tld": "<string>",
"state": "<string>",
"nodes": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"wireguard_ip": "<string>",
"lan_ip": "<string>"
}
],
"router": {
"id": 123,
"name": "<string>",
"status": "<string>",
"wireguard_ip": "<string>",
"lan_ip": "<string>"
}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Clusters
Attach a Node to a Cluster
Attach a Node to a Cluster.
PUT
/
api
/
v1
/
clusters
/
{cluster}
/
nodes
/
{node}
curl
curl -sS -X PUT "https://gateway.orbit/api/v1/clusters/3/nodes/7" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"id": 123,
"name": "<string>",
"tld": "<string>",
"state": "<string>",
"nodes": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"wireguard_ip": "<string>",
"lan_ip": "<string>"
}
],
"router": {
"id": 123,
"name": "<string>",
"status": "<string>",
"wireguard_ip": "<string>",
"lan_ip": "<string>"
}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}